[Overview][Constants][Types][Classes][Index] | Reference for unit 'zipper' (#fcl)

# TZipFileEntries.AddFileEntry

Adds file to zip directory

## Declaration

Source position: line 0

`public function TZipFileEntries.AddFileEntry(`
`const ADiskFileName: string`
`):TZipFileEntry; function TZipFileEntries.AddFileEntry(`
`const ADiskFileName: string;`
`const AArchiveFileName: string`
`):TZipFileEntry; function TZipFileEntries.AddFileEntry(`
`const AStream: TStream;`
`const AArchiveFileName: string`
`):TZipFileEntry;`

## Arguments

`AStream` |  | Adds a zip file entry from a stream

## Description

Adds a file to the list of files that will be written out in the zip file.

Documentation generated on: Feb 26 2014